local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.KirinTorGuide(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle('|TInterface\\Icons\\Kirin Tor:16|t'.."Kirin Tor Guide")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)
  
  
  
  
  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\Kirin Tor:32|t '.."|cff00C78CKirin Tor:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("To gain Reputation with the Kirin Tor, you must first need to become friendly with this faction to do the main method.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CNeutral to Friendly: ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("This can be achived by going to Wrath of the Lich King Dalaran.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Then doing the Dungeon, The Violet Eye.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Make sure accept the quests:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("\124cffffff00\124Hquest:29829:15\124h[Discretion is Key]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local desc = AceGUI:Create("Label")
  desc:SetText("\124cffffff00\124Hquest:29830:15\124h[Containment]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("These will give a massive Chunk of Reputation with this faction and should get you to Friendly.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Then once Friendly go to the Kirin Tor Quartermaster")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Archmage Alvareaux <Kirin Tor Quartermaster> can be found within Dalaran:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Archmage Alvareaux")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 25.6 49.0") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

		else
		
		  local desc = AceGUI:Create("Label")
		  desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
		  desc:SetFullWidth(true)
		  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
		  scroll:AddChild(desc)
  
  
  
end    
  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Once there Purchase the Item, ".."\124cff1eff00\124Hitem:43157::::::::60:::::\124h[Tabard of the Kirin Tor]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CMethod: ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
   local desc = AceGUI:Create("Label")
  desc:SetText("Make your way over towards the Pit of Saron Dungeon in Ice Crown.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Set it To Heroic, now gather all of the Trash mobs at the front of the Dungeon and burn them down.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
   local desc = AceGUI:Create("Label")
  desc:SetText("This will reward you with alot of Reputation with all of these Factions.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
   local desc = AceGUI:Create("Label")
  desc:SetText("You will hit Exalted with the Alliance Vanguard first within 4 - 5 Hours and Exlated with the Rest within 10 - 11 Hours.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
   local desc = AceGUI:Create("Label")
  desc:SetText("it is wise to know that you should not Slay any of the bosses as it will lock you to the Dungeon, which is something we do not want.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
   local desc = AceGUI:Create("Label")
  desc:SetText("We want to reset it as many times as possible.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Note: in Heroic PoS, the ".."\124cffa335ee\124Hitem:50379::::::::60:::::\124h[Battered Hilt]\124h\124r".." can drop from the trash mobs and can be quite a good gold farm.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)    
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  end